Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkEnSightGoldBinaryReader Class Reference

`#include <vtkEnSightGoldBinaryReader.h>`

Inheritance diagram for vtkEnSightGoldBinaryReader:

[legend]
Collaboration diagram for vtkEnSightGoldBinaryReader:

[legend]
List of all members.

## Detailed Description

class to read binary EnSight Gold files

Date:
  2002/08/13 17:14:28

Revision:
  1.11

vtkEnSightGoldBinaryReader is a class to read EnSight Gold files into vtk. Because the different parts of the EnSight data can be of various data types, this reader produces multiple outputs, one per part in the input file. All variable information is being stored in field data. The descriptions listed in the case file are used as the array names in the field data. For complex vector variables, the description is appended with _r (for the array of real values) and _i (for the array if imaginary values). Complex scalar variables are stored as a single array with 2 components, real and imaginary, listed in that order.

Warning:
  You must manually call Update on this reader and then connect the rest of the pipeline because (due to the nature of the file format) it is not possible to know ahead of time how many outputs you will have or what types they will be. This reader can only handle static EnSight datasets (both static geometry and variables).

Created by:
  - Henderson, Amy

CVS contributions (if > 5%):
  - Henderson, Amy (93%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkEnSightGoldBinaryReader.cxx)`
  - .`h` (`/IO/vtkEnSightGoldBinaryReader.h)`

Tests:
  vtkEnSightGoldBinaryReader (Tests)

Definition at line 59 of file vtkEnSightGoldBinaryReader.h.

## Public Types
typedef vtkEnSightReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkEnSightGoldBinaryReader * | New ()
int | IsTypeOf (const char *type)
vtkEnSightGoldBinaryReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkEnSightGoldBinaryReader ()
| ~vtkEnSightGoldBinaryReader ()
virtual int | ReadGeometryFile (char *fileName, int timeStep)
virtual int | ReadMeasuredGeometryFile (char *fileName, int timeStep)
virtual int | CreateUnstructuredGridOutput (int partId, char line[80])
virtual int | CreateStructuredGridOutput (int partId, char line[256])
int | CreateRectilinearGridOutput (int partId, char line[256])
int | CreateImageDataOutput (int partId, char line[80])
int | ReadLine (char result[80])
int | ReadInt (int *result)
int | ReadIntArray (int *result, int numInts)
int | ReadFloatArray (float *result, int numFloats)
virtual int | ReadScalarsPerNode (char *fileName, char *description, int timeStep, int measured=0, int numberOfComponents=1, int component=0)
virtual int | ReadVectorsPerNode (char *fileName, char *description, int timeStep, int measured=0)
virtual int | ReadTensorsPerNode (char *fileName, char *description, int timeStep)
virtual int | ReadScalarsPerElement (char *fileName, char *description, int timeStep, int numberOfComponents=1, int component=0)
virtual int | ReadVectorsPerElement (char *fileName, char *description, int timeStep)
virtual int | ReadTensorsPerElement (char *fileName, char *description, int timeStep)
void | SkipTimeStep ()
int | SkipStructuredGrid (char line[256])
int | SkipUnstructuredGrid (char line[256])
int | SkipRectilinearGrid (char line[256])
int | SkipImageData (char line[256])
## Protected Attributes
int | NodeIdsListed
int | ElementIdsListed
FILE * | IFile

## Member Typedef Documentation

typedef vtkEnSightReader vtkEnSightGoldBinaryReader::Superclass

| Reimplemented from vtkEnSightReader. Definition at line 63 of file vtkEnSightGoldBinaryReader.h.

## Constructor & Destructor Documentation

vtkEnSightGoldBinaryReader::vtkEnSightGoldBinaryReader | ( |  | ) | `[protected]`

vtkEnSightGoldBinaryReader::~vtkEnSightGoldBinaryReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkEnSightGoldBinaryReader* vtkEnSightGoldBinaryReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkGenericEnSightReader.

virtual const char* vtkEnSightGoldBinaryReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkEnSightReader.

int vtkEnSightGoldBinaryReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkEnSightReader.

virtual int vtkEnSightGoldBinaryReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkEnSightReader.

vtkEnSightGoldBinaryReader* vtkEnSightGoldBinaryReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkEnSightReader.

virtual void vtkEnSightGoldBinaryReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkEnSightReader.

virtual int vtkEnSightGoldBinaryReader::ReadGeometryFile | ( | char * | fileName,
|  | int | timeStep
| ) | `[protected, virtual]`

| Read the geometry file. If an error occurred, 0 is returned; otherwise 1. Implements vtkEnSightReader.

virtual int vtkEnSightGoldBinaryReader::ReadMeasuredGeometryFile | ( | char * | fileName,
|  | int | timeStep
| ) | `[protected, virtual]`

| Read the measured geometry file. If an error occurred, 0 is returned; otherwise 1. Implements vtkEnSightReader.

virtual int vtkEnSightGoldBinaryReader::ReadScalarsPerNode | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep,
|  | int | measured = 0,
|  | int | numberOfComponents = 1,
|  | int | component = 0
| ) | `[protected, virtual]`

| Read scalars per node for this dataset. If an error occurred, 0 is returned; otherwise 1. If there will be more than one component in the data array, it is assumed that 0 is the first component added. Implements vtkEnSightReader.

virtual int vtkEnSightGoldBinaryReader::ReadVectorsPerNode | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep,
|  | int | measured = 0
| ) | `[protected, virtual]`

| Read vectors per node for this dataset. If an error occurred, 0 is returned; otherwise 1. Implements vtkEnSightReader.

virtual int vtkEnSightGoldBinaryReader::ReadTensorsPerNode | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep
| ) | `[protected, virtual]`

| Read tensors per node for this dataset. If an error occurred, 0 is returned; otherwise 1. Implements vtkEnSightReader.

virtual int vtkEnSightGoldBinaryReader::ReadScalarsPerElement | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep,
|  | int | numberOfComponents = 1,
|  | int | component = 0
| ) | `[protected, virtual]`

| Read scalars per element for this dataset. If an error occurred, 0 is returned; otherwise 1. If there will be more than one componenet in the data array, it is assumed that 0 is the first component added. Implements vtkEnSightReader.

virtual int vtkEnSightGoldBinaryReader::ReadVectorsPerElement | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep
| ) | `[protected, virtual]`

| Read vectors per element for this dataset. If an error occurred, 0 is returned; otherwise 1. Implements vtkEnSightReader.

virtual int vtkEnSightGoldBinaryReader::ReadTensorsPerElement | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep
| ) | `[protected, virtual]`

| Read tensors per element for this dataset. If an error occurred, 0 is returned; otherwise 1. Implements vtkEnSightReader.

virtual int vtkEnSightGoldBinaryReader::CreateUnstructuredGridOutput | ( | int | partId,
|  | char | line[80]
| ) | `[protected, virtual]`

| Read an unstructured part (partId) from the geometry file and create a vtkUnstructuredGrid output. Return 0 if EOF reached. Return -1 if an error occurred.

virtual int vtkEnSightGoldBinaryReader::CreateStructuredGridOutput | ( | int | partId,
|  | char | line[256]
| ) | `[protected, virtual]`

| Read a structured part from the geometry file and create a vtkStructuredGrid output. Return 0 if EOF reached. Implements vtkEnSightReader.

int vtkEnSightGoldBinaryReader::CreateRectilinearGridOutput | ( | int | partId,
|  | char | line[256]
| ) | `[protected]`

| Read a structured part from the geometry file and create a vtkRectilinearGrid output. Return 0 if EOF reached.

int vtkEnSightGoldBinaryReader::CreateImageDataOutput | ( | int | partId,
|  | char | line[80]
| ) | `[protected]`

| Read a structured part from the geometry file and create a vtkImageData output. Return 0 if EOF reached.

int vtkEnSightGoldBinaryReader::ReadLine | ( | char | result[80] | ) | `[protected]`

| Internal function to read in a line up to 80 characters. Returns zero if there was an error.

int vtkEnSightGoldBinaryReader::ReadInt | ( | int * | result | ) | `[protected]`

| Internal function to read in a single integer. Returns zero if there was an error.

int vtkEnSightGoldBinaryReader::ReadIntArray | ( | int * | result,
|  | int | numInts
| ) | `[protected]`

| Internal function to read in an integer array. Returns zero if there was an error.

int vtkEnSightGoldBinaryReader::ReadFloatArray | ( | float * | result,
|  | int | numFloats
| ) | `[protected]`

| Internal function to read in a float array. Returns zero if there was an error.

void vtkEnSightGoldBinaryReader::SkipTimeStep | ( |  | ) | `[protected]`

| Read to the next time step in the geometry file.

int vtkEnSightGoldBinaryReader::SkipStructuredGrid | ( | char | line[256] | ) | `[protected]`

| Read to the next time step in the geometry file.

int vtkEnSightGoldBinaryReader::SkipUnstructuredGrid | ( | char | line[256] | ) | `[protected]`

| Read to the next time step in the geometry file.

int vtkEnSightGoldBinaryReader::SkipRectilinearGrid | ( | char | line[256] | ) | `[protected]`

| Read to the next time step in the geometry file.

int vtkEnSightGoldBinaryReader::SkipImageData | ( | char | line[256] | ) | `[protected]`

| Read to the next time step in the geometry file.

## Member Data Documentation

int vtkEnSightGoldBinaryReader::NodeIdsListed`[protected]`

| Definition at line 167 of file vtkEnSightGoldBinaryReader.h.

int vtkEnSightGoldBinaryReader::ElementIdsListed`[protected]`

| Definition at line 168 of file vtkEnSightGoldBinaryReader.h.

FILE* vtkEnSightGoldBinaryReader::IFile`[protected]`

| Reimplemented from vtkGenericEnSightReader. Definition at line 170 of file vtkEnSightGoldBinaryReader.h.

The documentation for this class was generated from the following file:

- IO/vtkEnSightGoldBinaryReader.h